.g-carousel {
    position: relative;
    width: 100%;
    max-width: 100%;
    overflow: hidden; 

    &-indicators {
        @include pos-block(100%, 50%, $type: center-xy);
        
        margin-top: -10px;
        z-index: 10;
        display: flex;
        justify-content: center;
        list-style-type: none;
        padding: 10px 5px;
        border-radius: 2px;
        background-color: rgba(0,0,0, .3);
    }

    &-indicators_item {
        cursor: pointer;
        width: 15px;
        height: 15px;
        text-align: center;
        background-color: color(white);
        border-radius: 50%;
        font-size: 0;
        margin: 0 5px;
        transition: all 0.3s ease;

        &:hover,
        &.m-active {
            background-color: red;
        }
    }

    &-wrap {
        overflow: hidden;
        width: 100%;
    }

    &-list {
        display: table;
        height: 100%;  
    }

    &-item {
        box-sizing: content-box;
        display: table-cell;
        height: 100%;
        font-size: 0;
    }

    .b-img {
        height: 100%;
    }

    &-item_img {
        object-fit: cover;
        height: 100%; 
        width: 100%;
    }

    &-nav {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        width: 100%; 
        display: flex;
        justify-content: space-between;
    }

    &-control {
        font-size: 32px;
        width: 40px;
        height: 40px;
        background-color: rgba(0,0,0, .5);
        text-align: center;
        cursor: pointer;
         
        &.m-next {
            
        }
    }
}